Rensei docs

Set the version-2 status → stage mapping of a project tracker (project admin).

Set the version-2 status → stage mapping of a project tracker (project admin). - Rensei REST API operation reference.

PUT
/api/projects/{projectId}/trackers/{trackerId}/status-vocabulary

Authorization

headerAuthorizationBearer <WorkOS user access token>

WorkOS user access token created by the Rensei CLI. The authenticated organization is resolved from membership and may be narrowed with X-Rensei-Org.

Path Parameters

projectId*string

The project id.

trackerId*integer

The tracker binding id (one of the project's).

Range0 < value <= 9007199254740991

Request Body

application/json
  1. body
statusVocabulary*

Response Body

The stored vocabulary.

application/json
  1. response
trackerId*integer
Range-9007199254740991 <= value <= 9007199254740991
statusVocabulary*
Example Request
curl -X PUT 'https://app.rensei.ai/api/projects/string/trackers/1/status-vocabulary' \  -H 'Content-Type: application/json' \  -d '{  "statusVocabulary": {    "version": 2,    "states": {      "property1": {        "stage": "string"      },      "property2": {        "stage": "string"      }    },    "writeStatus": {      "property1": "string",      "property2": "string"    }  }}'
Example Response
{  "trackerId": -9007199254740991,  "statusVocabulary": {    "version": 2,    "states": {      "property1": {        "stage": "string"      },      "property2": {        "stage": "string"      }    },    "writeStatus": {      "property1": "string",      "property2": "string"    }  }}